# MAKEFILE for AUSWERT.EXE

ARGS=-ml

FILES=auswert.obj storaxx.obj report.obj pio.obj qslprint.obj statbase.obj wildmat.obj multibnd.obj wave.obj tools.obj stat.obj config.obj map.obj database.obj input.obj locator.obj dvideo.obj egavga.obj

auswert.exe: $(FILES)
   BCC $(ARGS) @AUSWERT.RSP

.c.obj:
   BCC $(ARGS) -c $<

auswert.obj: auswert.c storaxx.h report.h map.h auswert.h global.h database.h locator.h dvideo.h

storaxx.obj: storaxx.c storaxx.h

report.obj: report.c report.h

pio.obj: pio.c pio.h

qslprint.obj: qslprint.c qslprint.h tools.h dvideo.h

statbase.obj: statbase.c statbase.h structs.h dvideo.h

wildmat.obj: wildmat.c wildmat.h

multibnd.obj: multibnd.c multibnd.h

wave.obj: wave.c wave.h

tools.obj: tools.c tools.h

stat.obj: stat.c stat.h fivenine.h egavga.h locator.h database.h map.h input.h dvideo.h

map.obj: map.c map.h input.h fivenine.h egavga.h dvideo.h locator.h

database.obj: database.c database.h global.h

input.obj: input.c input.h egavga.h dvideo.h

locator.obj: locator.c locator.h

dvideo.obj: dvideo.c dvideo.h

egavga.obj: egavga.c egavga.h

config.obj: config.c config.h

