() DL1ELY de DB0IZ>


DL1ELY @DB0PKE   de:DL1YDD 18.10.94 07:25 UTC   2835 Bytes
Rotor-Unit


de DL1YDD @ DB0IZ.#NRW.DEU.EU
to DL1ELY @ DB0PKE.#NRW.DEU.EU


{********************************************************************}
{* UNIT zur Ansteuerung des AMSAT-DL-Rotorinterfaces.               *}
{* (c) Hartmut Psler, DL1YDD, 05/89                                *}
{*                                                                  *}
{* Die Unit bentigt das Konfigurationsfile ROTOR.CFG, das im       *}
{* aktuellen Verzeichnis sein mu.                                  *}
{********************************************************************}

{********************************************************************}
{* Aufbau von ROTOR.CFG (Textfile):                                 *}
{*                                                                  *}
{*     180     ; Rotoranschlag bei x Grad (Nord- oder Sdanschlag   *}
{*     2       ; LPTx: (Nummer)                                     *}
{*     1       ; Timer-Periode (fr Uhr-Korrektur)                  *}
{*     3       ; Mindestwinkel                                      *}
{*                                                                  *}
{********************************************************************}

{$N-}

UNIT Rotsteu;                 { enthlt die Routinen zum Ansprechen des AMSAT-
                                DL-Rotorinterfaces }

INTERFACE

PROCEDURE RotorDrehen(Az, El : Integer);

IMPLEMENTATION

USES Crt;

VAR Druckport       : Word;
    Drucker_Port    : Byte;
    Anschlag        : Integer;
    f               : Text;


PROCEDURE PortInit;
BEGIN
   Drucker_Port := 1;
   Druckport := MemW[$40:Drucker_Port * 2 + 8];
   Port[Druckport] := $00;
END;



PROCEDURE bitout(winkel : Integer);
VAR bit, bitx       : Byte;
    winkel_256      : Word;
BEGIN
   bit := 8;
   IF winkel > 360 THEN winkel := winkel - 360;
   winkel_256 := Trunc(winkel / 360.0 * 256.0);
   REPEAT
      bitx := ($80 AND winkel_256);
      IF bitx = $80 THEN BEGIN
         Port[Druckport] := $01;
         Delay(0);
         Port[Druckport] := $03;
         Delay(0);
         Port[Druckport] := $01;
         Delay(0);
      END
      ELSE BEGIN
         Port[Druckport] := $00;
         Delay(0);
         Port[Druckport] := $02;
         Delay(0);
         Port[Druckport] := $00;
         Delay(0);
      END;
      Dec(bit);
      winkel_256 := winkel_256 SHL 1;
   UNTIL bit = 0;
END;

PROCEDURE RotorDrehen;
BEGIN
   bitout(El * 2);
   bitout(Az - Anschlag);
END;

BEGIN
   Assign(f, 'rotor.cfg');
   Reset(f);
   ReadLn(f, Anschlag);
   ReadLn(f, Drucker_Port);
   Close(f);
   PortInit;
END.


vy 73 de Hartmut DL1YDD @ DB0IZ (Internet: dl1ydd@amsat.org)



18.10.94 07:28 DB0IZ    R: DL1ELY

