# MAKEFILE for FIVENINE.EXE

ARGS=-ml -v -f

FILES=fivenine.obj secmem.obj sio.obj comm.obj pio.obj multibnd.obj wave.obj tools.obj stat.obj config.obj map.obj database.obj input.obj locator.obj dvideo.obj wildmat.obj egavga.obj

fivenine.exe: $(FILES)
   BCC $(ARGS) @FIVENINE.RSP

.c.obj:
   BCC $(ARGS) -c $<

fivenine.obj: fivenine.c sio.h comm.h map.h fivenine.h global.h database.h locator.h dvideo.h wildmat.h secmem.h
                                            
secmem.obj: secmem.c secmem.h

sio.obj: sio.c sio_ints.c sio.h

comm.obj: comm.c comm.h sio.h dvideo.h fivenine.h

pio.obj: pio.c pio.h

multibnd.obj: multibnd.c multibnd.h secmem.h

wave.obj: wave.c wave.h

tools.obj: tools.c tools.h

stat.obj: stat.c stat.h locator.h fivenine.h map.h egavga.h input.h dvideo.h database.h

map.obj: map.c map.h secmem.h input.h fivenine.h egavga.h dvideo.h locator.h

database.obj: database.c database.h global.h structs.h dvideo.h

input.obj: input.c input.h egavga.h dvideo.h

locator.obj: locator.c locator.h

dvideo.obj: dvideo.c dvideo.h

wildmat.obj: wildmat.c wildmat.h

egavga.obj: egavga.c egavga.h

config.obj: config.c config.h

