// WAVE.H - Headerfile for playing WAV-Files
// Written by Stefan Pfeiffer, DL1ELY, 950105
// Last modification: 950203
// (C) 1995 by Stefan Pfeiffer, DL1ELY

#ifndef WAVE_H

#define WAVE_H


typedef struct riffchunk
{
  char id[4];
  unsigned long size;
  char data[4];
};

typedef struct waveformat_tag
{
  char id[4];
  unsigned long size;
  unsigned formattag, channels;
  unsigned long samples_per_sec, bytes_per_sec;
  unsigned block_align;
  unsigned char bit;
  unsigned char dummy;
};

typedef struct wavedata_tag
{
  char id[4];
  unsigned long size;
};

unsigned playwave(char *);
unsigned play_end(void);
void end_wave(void);

#endif

